<?php
class Reserva extends AppObjeto {
	
	//Propiedades
	protected $codigoReserva;
	protected $codigoPresupuesto;
	protected $codigoServicio;
	protected $archivoRuta;
	protected $kmsRuta;
	protected $tiempoRuta;
	
	
			
		/* para conectar con bd */
	protected static $_aliasTabla = 'res';
	protected static $_nombreTabla = 'RESERVAS1';
	protected static $_campoPK = 'NUMERO_RES';
	
	
	// InitMetaDatos
	
	protected static function initMetaDatos(){
		self::addPropiedadBD('res', 'NUMERO_RES', 'codigoReserva', self::META_VARCHAR);
		self::addPropiedadBD('res', 'PRESUPUESTO_RES1', 'codigoPresupuesto', self::META_VARCHAR);
		self::addPropiedadBD('res', 'CONTRATO_RES1', 'codigoServicio', self::META_VARCHAR);
		self::addPropiedadBD('res', 'ARCHIVO_RUTA', 'archivoRuta', self::META_VARCHAR);
		self::addPropiedadBD('res', 'KMS_RUTA', 'kmsRuta', self::META_VARCHAR);
		self::addPropiedadBD('res', 'TIEMPO_RUTA', 'tiempoRuta', self::META_VARCHAR);
	}

	public function getCodigoPresupuesto(){
		return $this->codigoPresupuesto;
	}
	
	// Métodos
	
	public function toServicio(){
		if (!$this->codigoServicio){
			try {
			$sql = "select cv.fnReser_a_Contra('".$this->codigoReserva."') as codigoServicio";
			$db = self::getDb();
			$adapter = $db->getAdapter();
			$stmt = $adapter->query($sql);
			$rows = $stmt->fetchAll();
			$codigoServicio = $rows[0]['codigoServicio'];
			} catch (Exception $e){
				echo $e->getMessage();
				die();
			}
			return $codigoServicio;
		} else {
			return $this->codigoServicio;
		}		
	}
	
	// Get y Set
	public function getCodigoServicio()
	{
		return $this->codigoServicio;
	}
	
	
}